<?php

// Add theme support for essential features
function fanspaysite_setup() {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption', ) );
	add_theme_support( 'customize-selective-refresh-widgets' );


	add_theme_support('custom-logo', array(
		'height'      => 80, // Set the desired height for the logo
		'width'       => 160, // Set the desired width for the logo
		'flex-height' => true, // Allow flexible logo height
		'flex-width'  => true, // Allow flexible logo width
		'header-text' => array('site-title', 'site-description'), // Select which elements the logo can replace
	));

	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'responsive-embeds');
	add_theme_support( 'align-wide' );

	add_theme_support( 'custom-header', array(
		'width'         => 2000,
		'height'        => 100,
		'flex-width'    => true,
		'flex-height'   => true,
		'default-image' => '', // Path to default header image
		'header-text'   => false, // Set to true if you want text over the header image
	));

	add_theme_support( 'custom-background', array(
		'default-color' => 'fff', // Default background color
		'default-image' => '', // Path to default background image, if any
		'wp-head-callback' => '_custom_background_cb',
	));

	load_theme_textdomain('fanspaysite', get_template_directory() . '/languages');
}
add_action( 'after_setup_theme', 'fanspaysite_setup' );

function fanspaysite_register_sidebars() {
	register_sidebar(array(
		'id'            => 'fanspaysite_left_sidebar',
		'name'          => __('FansPaysite Left Sidebar', 'fanspaysite'),
		'description'   => __('Widgets added here will appear in the left column of the site, under menu.', 'fanspaysite'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	));
	register_sidebar(array(
		'id'            => 'fanspaysite_right_sidebar',
		'name'          => __('FansPaysite Right Sidebar', 'fanspaysite'),
		'description'   => __('Widgets added here will appear in the right column of the site, when visible.', 'fanspaysite'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	));
}
add_action('widgets_init', 'fanspaysite_register_sidebars');

require_once get_template_directory() . '/inc/enqueue.php';
require_once get_template_directory() . '/inc/menu.php';
require_once get_template_directory() . '/inc/mode.php';
require_once get_template_directory() . '/inc/customizer.php';
require_once get_template_directory() . '/inc/comments.php';
require_once get_template_directory() . '/inc/blocks.php';
