<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<div class="site-wrapper">

<aside class="site-sidebar">

<header id="masthead" class="site-header">
	<div class="logo-title">
		<?php
		if (has_custom_logo()) {
			// Display the custom logo
			the_custom_logo();
		} else {
			// No custom logo is set, display the site's name as a fallback
			echo '<div class="site-title"><a href="' . esc_url(home_url('/')) . '" rel="home">' . get_bloginfo('name') . '</a></div>';
		}
		?>
	</div>
</header>


<!-- Left column for menu -->
<nav id="site-navigation" class="main-navigation">
	<?php
		wp_nav_menu(array(
			'theme_location' => 'menu-1',
			'menu_id'        => 'primary-menu',
			'walker'         => new FansPaysite_Custom_Walker_Nav_Menu(),
		));
	?>
</nav>
<!-- #site-navigation -->

<?php if (get_theme_mod('fanspaysite_show_theme_mode_switcher', 'yes') === 'yes') : ?>
		<div class="btn-group d-grid gap-2 d-sm-flex justify-content-sm-center" role="group" aria-label="Theme switcher">
			<button type="button" class="btn btn-secondary btn-sm" id="light-mode"><i class="fas fa-lightbulb"></i></button>
			<button type="button" class="btn btn-secondary btn-sm" id="dark-mode"><i class="fas fa-moon"></i></button>
			<button type="button" class="btn btn-secondary btn-sm" id="auto-mode"><i class="fas fa-cog"></i></button>
		</div>
<?php endif; ?>

<!-- Left sidebar, under menu-->
<div class="site-sidebar-left">
  <?php if (is_active_sidebar('fanspaysite_left_sidebar')) : ?>
	  <?php dynamic_sidebar('fanspaysite_left_sidebar'); ?>
  <?php endif; ?>
</div>

</aside>

<main class="site-content">
<?php
if ( get_header_image() ) {
		echo '<div class="header-image"><img src="' . esc_url( get_header_image() ) . '" alt="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '"></div>';
}