<?php

function fanspaysite_register_block_patterns() {
    if ( function_exists( 'register_block_pattern' ) ) {
        register_block_pattern(
            'fanspaysite/mode-text-block', // Unique identifier for the pattern
            array(
                'title'       => __( 'Light/Dark Mode Text Block', 'fanspaysite' ),
                'description' => __( 'A custom text block with support automatic theme mode styling.', 'fanspaysite' ),
                'content'     => "<!-- wp:group {\"className\":\"mode-text-block\"} -->\n<div class=\"wp-block-group mode-text-block\"><!-- wp:paragraph -->\n<p>" . __( 'This is a custom text block. It automatically adjusts its colors based on the theme\'s light or dark mode.', 'fanspaysite' ) . "</p><!-- /wp:paragraph --></div><!-- /wp:group -->",
            )
        );
    }
}
add_action( 'init', 'fanspaysite_register_block_patterns' );

function fanspaysite_register_block_styles() {
    if ( function_exists( 'register_block_style' ) ) {
        register_block_style(
            'core/paragraph',
            array(
                'name'         => 'fanspaysite-custom-style',
                'label'        => __( 'Light/Dark Mode Style', 'fanspaysite' ),
                'inline_style' => '.is-style-fanspaysite-custom-style { padding: 20px; border-radius: 5px; background-color: var(--background-color); color: var(--text-color); }',
            )
        );
    }
}
add_action( 'init', 'fanspaysite_register_block_styles' );

function fanspaysite_enqueue_block_editor_assets() {
    wp_enqueue_style( 'fanspaysite-editor-styles', get_stylesheet_uri() ); // Adjust the path to your stylesheet if necessary.
}
add_action( 'enqueue_block_editor_assets', 'fanspaysite_enqueue_block_editor_assets' );