<?php

?>
<!--FansPaysite/index.php-->
<?php get_header(); ?>
<div class="container mt-4">
    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) : the_post(); ?>
                    <article class="row mb-3 <?php echo is_sticky() ? 'sticky' : ''; ?>">
                        <div class="col-12 col-md-3">
                            <?php if (has_post_thumbnail()) : ?>
                                <?php the_post_thumbnail('medium', ['class' => 'img-fluid rounded']); ?>
                            <?php else : ?>
                                <?php
                                $default_thumbnail = get_theme_mod('default_post_thumbnail', get_template_directory_uri() . '/default.jpg');
                                if ($default_thumbnail) echo '<img src="' . esc_url($default_thumbnail) . '" alt="' . esc_attr(get_the_title()) . '" class="img-fluid rounded">';
                                ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-12 col-md-9">
                            <h2><a href="<?php the_permalink(); ?>" aria-label="<?php echo esc_attr(sprintf(__('Read more about %s', 'fanspaysite'), get_the_title())); ?>"><?php the_title(); ?></a></h2>
                            <p><?php the_excerpt(); ?></p>
                            <a href="<?php the_permalink(); ?>" class="btn btn-secondary" tabindex="0"><?php esc_html_e('Read More', 'fanspaysite'); ?></a>
                        </div>
                    </article>
                <?php endwhile; ?>
                <?php the_posts_navigation(); ?>
            <?php else : ?>
                <?php get_template_part('template-parts/content', 'none'); ?>
            <?php endif; ?>
        </main><!-- #main -->
    </div><!-- #primary -->
</div><!-- .container -->

<?php get_footer(); ?>
