
  document.addEventListener("DOMContentLoaded", function () {

  // Initialize Tooltips
  var tooltipTriggerList = [].slice.call(
    document.querySelectorAll('[data-bs-toggle="tooltip"]')
  );
  var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
    return new bootstrap.Tooltip(tooltipTriggerEl);
  });


  // Handle dropdowns
    var isTouchDevice = 'ontouchstart' in window || navigator.maxTouchPoints;
    var touchCounters = {};
  
    function handleDropdownClick(event, toggle) {
      var dropdownMenu = toggle.nextElementSibling;
      var isExpanded = toggle.getAttribute('aria-expanded') === 'true';
  
      if (isTouchDevice) {
        touchCounters[toggle] = (touchCounters[toggle] || 0) + 1;
        if (touchCounters[toggle] === 1) {
          // First touch, open the dropdown
          if (!isExpanded) {
            event.preventDefault();
            dropdownMenu.classList.add('show');
            toggle.setAttribute('aria-expanded', true);
          }
        } else if (touchCounters[toggle] === 1) {
          // Second touch, follow the link
          if (isExpanded) {
            window.location.href = toggle.href;
          }
          touchCounters[toggle] = 0; // Reset counter
        }
      } else {
        // For mouse, if expanded (by hover), click will follow the link
        if (!isExpanded) {
          event.preventDefault();
          dropdownMenu.classList.add('show');
          toggle.setAttribute('aria-expanded', true);
        }
      }
    }
  
    function handleDropdownKeyDown(event, toggle) {
      if (event.key === 'Enter' || event.key === ' ') {
        var dropdownMenu = toggle.nextElementSibling;
        var isExpanded = toggle.getAttribute('aria-expanded') === 'true';
        event.preventDefault();
  
        if (isExpanded) {
          // Expanded, so Enter key will navigate to the link on second press
          touchCounters[toggle] = (touchCounters[toggle] || 0) + 1;
          if (touchCounters[toggle] === 1) {
            window.location.href = toggle.href;
            touchCounters[toggle] = 0; // Reset counter
          }
        } else {
          // Not expanded, so Enter key will open the dropdown on first press
          dropdownMenu.classList.add('show');
          toggle.setAttribute('aria-expanded', true);
        }
      }
    }
  
    var dropdownToggles = document.querySelectorAll(".dropdown-toggle");
    dropdownToggles.forEach(function (toggle) {
      toggle.addEventListener("click", function (event) {
        handleDropdownClick(event, toggle);
      });
  
      toggle.addEventListener("keydown", function (event) {
        handleDropdownKeyDown(event, toggle);
      });
  
      toggle.addEventListener("blur", function (event) {
        // Reset touch counter when we leave the element
        touchCounters[toggle] = 0;
      });
  
      if (isTouchDevice) {
        toggle.addEventListener("touchstart", function (event) {
          handleDropdownClick(event, toggle);
        });
      }
    });
  });
  