<!--FansPaysite/content-post.php-->
<div class="row mb-3">
	<div class="col-12 col-md-3">
		<?php
		// Attempt to display the post thumbnail or a default/fallback image.
		if (has_post_thumbnail()) {
			the_post_thumbnail('medium', ['class' => 'img-fluid rounded']);
		} else {
			// Retrieve the default image URL from the theme customizer, with a fallback to a specified default image within the theme directory
			$default_thumbnail = get_theme_mod('default_post_thumbnail', get_template_directory_uri() . '/default.jpg');
			echo '<img src="' . esc_url($default_thumbnail) . '" class="img-fluid rounded" alt="' . esc_attr(get_the_title()) . '">';
		}
		?>
	</div>
	<div class="col-12 col-md-9">
		<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<div class="post-excerpt">
			<?php the_excerpt(); ?>
		</div>
		<footer class="post-footer">
			<a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php esc_html_e('Read More', 'fanspaysite'); ?></a>
			<?php if (get_theme_mod('show_post_tags', true)) : ?>
				<?php the_tags('<div class="post-tags"><span class="badge badge-secondary">', '</span> <span class="badge badge-secondary">', '</span></div>'); ?>
			<?php endif; ?>
		</footer>
	</div>
</div>